Bug 681795 - [NetApp 5.6 Bug] Erroneous TPG ID check in SCSI ALUA Handler [rhel-5.6.z]
Summary: [NetApp 5.6 Bug] Erroneous TPG ID check in SCSI ALUA Handler [rhel-5.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: All
OS: All
high
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 669961
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-03 09:36 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:22 UTC (History)
11 users (show)

Fixed In Version: kernel-2.6.18-238.7.1.el5
Doc Type: Bug Fix
Doc Text:
For a device that used a Target Portal Group (TPG) ID which occupied the full 2 bytes in the RTPG (Report Target Port Groups) response (with either byte exceeding the maximum value that may be stored in a signed char), the kernel's calculated TPG ID would never match the group_id that it should. As a result, this signed char overflow also caused the ALUA handler to incorrectly identify the AAS (Asymmetric Access State) of the specified device as well as incorrectly interpret the supported AAS of the target. With this update, the aforementioned issue has been addressed and no longer occurs.
Clone Of:
Environment:
Last Closed: 2011-04-12 18:21:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0429 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-12 18:19:57 UTC

Description RHEL Product and Program Management 2011-03-03 09:36:10 UTC
This bug has been copied from bug #669961 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 3 Jiri Pirko 2011-03-04 13:13:09 UTC
in kernel-2.6.18-238.7.1.el5

linux-2.6-scsi-device_handler-fix-alua_rtpg-port-group-id-check.patch

Comment 5 errata-xmlrpc 2011-04-12 18:21:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0429.html

Comment 6 Martin Prpič 2011-04-14 10:17:17 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
For a device that used a Target Portal Group (TPG) ID which occupied the full 2 bytes in the RTPG (Report Target Port Groups) response (with either byte exceeding the maximum value that may be stored in a signed char), the kernel's calculated TPG ID would never match the group_id that it should. As a result, this signed char overflow also caused the ALUA handler to incorrectly identify the AAS (Asymmetric Access State) of the specified device as well as incorrectly interpret the supported AAS of the target. With this update, the aforementioned issue has been addressed and no longer occurs.


Note You need to log in before you can comment on or make changes to this bug.